# by plushpuffin@wwddfd.com
# Dropdown List Modification Assistant Addon
push(@Addons_Loaded, 'DropMod 1.0');
push(@Addons_PageHandler, 'DropModPageHandler');
push(@Addons_MainPage, 'DropMod_MainPage');
push(@Addons_NPHTMLFoot, 'DropMod_HTMLFoot');
$Addons_List{'DropMod 1.0'} = ['npa_dropmod.pl', 'Dropdown list of news items for easy selection and modification'];

sub DropModPageHandler {
	if (query_string() eq "dropmod") {
		&DropModMain;
		exit;
	}
}

sub DropMod_HTMLFoot {
	print qq~ <a href="$scripturl?dropmod" class="navlink">DropMod</a> |~;
}

sub DropMod_MainPage {
	print qq~
	<b><a href="$scripturl?dropmod">DropMod</a>:</b> Access news items for modification via a dropdown list. by <a href="mailto:plushpuffin\@wwddfd.com">plushpuffin</a><br><br>
	~;
}

sub DropModMain {
	if ($in{'dropmodsubmit'}) {
		$NPConfig{'Modify_ItemsPerPage'} = 1;
		&RemoveNews( $in{'dropmodsel'} );
		exit;
	}
	&loadND;
	unless (@NewsData) {
		NPdie("You have no news items, and therefore there's nothing for you to modify.");

	}
	&NPHTMLHead("DropMod Selection Page");
	print qq~
	<div align="center"><h3>NewsPro Dropdown Modification</h3><br>
	written by <a href="mailto:plushpuffin\@wwddfd.com">plushpuffin</a><br>
	<a href="http://www.wwddfd.com">plushpuffin's perl garden</a><br><br>

	~;
	print qq~
	<form action="$scripturl?dropmod" method=post>
	<select name ="dropmodsel" class="select">
	~;
	my $newsnum = @NewsData - 1;
	my $nncount = 0;
	while( $newsnum >= 0 ) {
		getNDvar($newsnum);
		if ($up >= 2 || $newsname eq $Cookies{'uname'}) {
			print qq~<option value="$newsnum">$newssubject</option>~;
			$nncount++;
		}
		$newsnum--;
	}
	unless ($nncount) {
		print qq~</select></form><b>You do not have permission to modify any news items.</b></div>~;
	}
	else {
		print qq~
	</select>
	<input type="submit" name="dropmodsubmit" value="Edit Selected Newsitem">
	</form>
	</div>
	~;
	}
	&NPHTMLFoot;
}
1;